// -*-C++-*-
/*!
 * @file  MyDataTypeSVC_impl.h
 * @brief Service implementation header of MyDataType.idl
 *
 */

#include "MyDataTypeSkel.h"


#ifndef MYDATATYPESVC_IMPL_H
#define MYDATATYPESVC_IMPL_H
 
/*
 * Example class implementing IDL interface RunControlInfo
 */
class RunControlInfoSVC_impl
 : public virtual POA_RunControlInfo,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~RunControlInfoSVC_impl();

 public:
   // standard constructor
   RunControlInfoSVC_impl();
   virtual ~RunControlInfoSVC_impl();

   // attributes and operations
   CORBA::Short setMaxAcc(CORBA::Double mps_acc, CORBA::Double rps_acc);
   CORBA::Short getMaxAcc(CORBA::Double& mps_acc, CORBA::Double& rps_acc);
   CORBA::Short setRangeVel(CORBA::Double mps_max, CORBA::Double rps_max, CORBA::Double mps_min, CORBA::Double rps_min);
   CORBA::Short getRangevel(CORBA::Double& mps_max, CORBA::Double& rps_max, CORBA::Double& mps_min, CORBA::Double& rps_min);

	double MpsAcc;
	double RpsAcc;
	double MpsMax;
	double RpsMax;
	double MpsMin;
	double RpsMin;

};



#endif // MYDATATYPESVC_IMPL_H


