#!/bin/sh

rtc-template -bcxx \
    --module-name=LocalPathPlanning --module-type='DataFlowComponent' \
    --module-desc='LocalPathPlanning component' \
    --module-version=1.0 --module-vendor='Nemoto,Mizoguchi Lab,Tokyo University of Science' \
    --module-category=RobotModule \
    --module-comp-type=DataFlowComponent --module-act-type=SPORADIC \
    --module-max-inst=10      \
	--config=max_mps:double:1.0\
	--config=max_rps:double:1.5\
	--config=min_mps:double:0.0\
	--config=min_rps:double:-1.5\
	--config=accelerate_mps:double:0.3\
	--config=accelerate_rps:double:0.3\
    --inport=ExternalCtrl:TimedVelocity	\
    --inport=TargetPos:TimedOdometry    \
    --inport=Odometry:TimedOdometry    \
    --outport=Velocity:TimedVelocity	\
	--service=RunControlPORT:RunControlInfo:RunControlInfo \
    --consumer-idl=MyDataType.idl \
    --service-idl=MyDataType.idl \








